// ship.h: interface for the Ship class.
// -Kyoung Shin Park (2009 Spring)
//////////////////////////////////////////////////////////////////////
#ifndef __SHIP_H__
#define __SHIP_H__

const float SHIP_SPEED = 3.0;

class Ship
{
public:
	Ship() : cx(0.0), cy(0.0), xmin(0.0), xmax(0.0) {}
	Ship(float x, float y, float min, float max) : cx(x), cy(y), xmin(min), xmax(max) {}

	float getX() { return cx; }	// get the ship x position
	float getY() { return cy; }	// get the ship y position
	void set(float x, float y);	// set the ship position
	void move(float dt);	// move the ship left and right
	void draw();			// draw the ship

protected:
	// member variable
	float cx, cy;
	float xmin, xmax;
};

#endif